Subject: bug#3598: 23.0.94; doc string of frame-root-window

From: Lennart Borgman <[email-masked]>
Date: Thu, 18 Jun 2009 18:47:08 +0200

On Thu, Jun 18, 2009 at 5:17 PM, Drew Adams<[email-masked]> wrote:
>> > If it is an internal function, then please either do not
>> > give it a doc string or, preferably, give it one that calls
>> > that out explicitly, and please add a
>> > comment explaining why it is internal.
>>
>> I see no reason not to have doc strings for internal functions.
>> Emacs hackers need doc strings from time to time.  Adding "internal
>> use only" to the doc string is the preferred solution.
>
> FWIW, I agree 100%.

And I agree 150%. At least.

In every situation where the semantics of a function may be difficult
to understand it is very important to have the doc string describe it.
Otherwise both the person who programs the function and the user might
be confused.